* Thu Sep 27 2011 A. Gianelle <gianelle@pd.infn.it>
- retrieve output file when job is Done
* Fri Sep 23 2011 A. Gianelle <gianelle@pd.infn.it>
- Porting to EMI
- Removed unused 'data' probes
- Add option to disabilitate message broker transfer
* Fri Nov 12 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 1.1.18-1
- fixed bugs
  * SAM-442: SEs for replication test on WN
  * SAM-490: implement jobs cancellation via CE-probe
  * SAM-827: time limited locking of metric's working directory for SRM tests
  * SAM-890: export more SAME_* vars in SAM tests wrapper
* Mon Nov 08 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 1.1.17-2
- fixed bugs
  * SAM-911: error in ldap related discovery lib of messaging library
  * SAM-877: adding export of path for Perl modules in nagrun.sh
* Wed Oct 27 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 1.1.17-1
- fixed bugs
  * SAM-892: tolerate segfault in lcg_gt3() by moving to lcg-gt CLI
* Tue Oct 19 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.16-2
- Improvements:
  * SAM-727: on WNs substitute Perl code around Nagios&Messaging with Python
- Features:
  * SAM-856: get Nagios logs from WN
  * always keep output sandbox of last WN job
* Mon Oct 04 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.15-5
- CA rel. 1.37-1
* Tue Aug 24 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.15-1
- added LFC-probe with LFC cleanup metric
- fixed bugs
  * SAM-533: Metric org.sam.CREAMCE-DirectJobMonit does not exist
  * SAM-476: LFC/SE cleanup checks are needed
  * SAM-736: general code cleanup in metrics and their configs
* Wed Jul 28 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.14-1
- fixed bugs
  * SAM-370: remove html formating from CE-sft-caver
  * SAM-622: WN-CAver should return CRITICAL on 2 versions older CAs
  * SAM-636: exit with none OK exit code on problems launching Nagios on WN
  * SAM-650: delay to wait for status.dat to be produced by Nagios on WN
  * SAM-663: Nagios patch for graceful termination of checks
  * SAM-666: force stack size limit on WN before launching nagios
  * SAM-667: get name of OSG CE on OSG WN
  * SAM-508: better handling of timeouts in complex metrics
* Thu Jun 22 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.12-5
- fixed bugs
  * SAM-503: probes working directory changed to /var/lib/gridprobes
* Mon Jun 21 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.12-4
- CA rel. 1.35-1
* Thu May 20 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.12-2
- fixing a typo in wnjob/nagrun.sh
* Mon May 10 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.12-1
- fixed bugs
  * SAM-163: Report the IP of the TOP-BDII used for WN probes
  * SAM-440: org.sam-*-JobMonit checks should provide performance data
  * SAM-441: IPC::DirQueue doesn't work on AFS
  * SAM-448: getting TURLs using lcg_util API requies explicit setting of Done
  * SAM-469: nagios 3.2.1 for WNs framework
  * SAM-471: WN tests - add option: 'no broker discovery'
* Wed Apr 21 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.11-1
- added %{pylib}/jobmonit package
- added --wn-bdii parameter to JobState to force BDII to be used on WNs
- fixed bugs:
  * 64748: IPC::DirQueue doesn't work on AFS
  * 64882: getting TURLs using lcg_util API requires ... "Done" afterwards
- changed to lcg_util_wn as an errors topic for WN-Rep metrics
* Thu Mar 18 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.10-1
- changes to use new VOMS FQAN based Nagios metrics naming
- propagation of VOMS FQANs to WN tests
- --prev-status paramter to provide previous status of the metric
- treating Scheduled and Running job states in job submission
  * increased default timeout to 5h30min (--timeout-job-schedrun)
  * metric stays CRITICAL after two successive WARNINIG
- fixed bugs:
  * 64093 integrate Net::STOMP and latest MBs discovery utilities
  * 64489 possible bug in org.sam.CREAMCE-DirectJobMonit-dteam
* Thu Mar 11 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.9-2
- fix in MPI metric: fail gracefully on WN if BDII can't be contacted
* Tue Mar 09 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.9-1
- fixed bugs:
  * 63490 WN - Nagios named pipe should be in /tmp because of $HOME on afs
  * 63711 MPI tests - integration
  * 51274 UNKNOWN: unhandled exception while gathering metric results
  * 53658 Report lcg_utils/gfal version in org.sam.WN-Rep tests
  * 63576 Multiple WARNs for job submission timeouts -> CRITICAL
- dependency python-GridMon >= 1.1.5
- sanitazing tests output run by samtest-run or nagtest-run
- lowered error levels in gLExec metric (CRITICAL -> WARNING and UNKNOWN)
- refactoring
  * output of summary and details data
  * scheduler for JobMonit moved to a separate module scheduler.py
  * CREAMCE direct job submission metrics moved to gridmetrics.creammetrics
* Mon Feb 22 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.8-2
- CA release 1.34-1
- WMS-JobState: support for getting list of good CEs from remote server.
- force en_US.UTF-8 locale on WNs
* Wed Feb 17 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.8-1
- integrated LFC certificate lifetime metric from SAM
* Tue Feb 16 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.7-2
- split of runtime definition of verbosity levels for FW on WN and
  WN metrics (--wn-verb-fw, --wn-verb)
- setting LFC and replication SE for WN replica tests from configuration
  file and CLI in CE-probe (--wn-lfc, --wn-se-rep)
- gLExec WN metric (org.sam.glexec.WN-gLExec)
- CA release 1.33-1
- updating dependency on python-GridMon >= 1.1.4
* Mon Feb 08 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.6-1
- propagation of WN job exit code to JobMonit metric
  - WN job with Nagios compliant exit codes depending on situation
  - JobMonit checks WN exit codes and accordingly sets the status for
    JobState/JobSubmit
- refactoring of JobStat and JobMonit metrics
- added --timeout-job-discard for JobState and JobMonit
- WN-Rep* metrics removed as children from WN-RepFree to comply to SAM
* Mon Feb 01 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.5-4
- fixing problem with brokers discovery on WN (typo in "if" statement
  in wnjob/nagrun.sh)
* Wed Jan 27 2010 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.5-3
- --hosts parameter to org.sam.<Service>-JobMonit metric to select only
  certain hosts to be checked with the monitor.
- better treatment of corrupted job descriptions in JobMonit metric.
- removed JS metric - synchronous jobs submission.
- updated OCSP handler, messaging utilities and libraries for WN Nagios.
- added debug levels to framework launch script on WNs (set via
  --wnjob-verb job submission probes parameter).
- --ns changed to --namespace for all metrics.
- --config to specify metrics configuration file. Default
  /etc/gridmon/org.sam.conf
* Mon Dec 14 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.5-2
- added CREAM CE metrics for testing direct job submission.
- added probe for WMS service.
- added metrics and passive checks output sanitizer.
- making Nagios WN checks config files as %config(noreplace) in RPM.
- added new gLite error expressions to /etc/gridmon/org.sam.errdb.
- checked/updated LDAP queries in all metrics. Fixing:
  * https://savannah.cern.ch/bugs/?59599
- merged 'gridmonsam' package with 'gridmon' from python-GridMon
- introducing dependencies
  * python-suds (SOAP Python client)
  * python-GridMon ('gridmon' Python package)
* Thu Nov 19 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.4-14
- due to migration of "central" SE used in SAM WN replica tests changing
  default from lxdpm103.cern.ch to samdpm002.cern.ch (org.sam/WN-probe).
* Thu Nov 12 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.4-12
- fixing
  * https://savannah.cern.ch/bugs/?58640
  * https://savannah.cern.ch/bugs/?58599 (added ce_wms error topic with
    some glite WMS error messages into /etc/gridmon/org.sam.errdb)
* Thu Oct 29 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.4-11
- CA 1.32-1: test reference DB and config with 8 + 7 days timeout.
* Wed Oct 14 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.4-10
- fixing a bug in SRM-probe: after refactoring to_retcode() was moved to
  different module but in one place was still used from gridmonsam.probe
* Tue Oct 06 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.4-9
- fixing bug with directories not being deleted from LFC when checking
  if LFC we were given is writable. Only CLI based method was affected.
* Wed Sep 09 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.4-8
- due to migration of "central" SE used in SAM WN replica tests changing
  default from lxdpm104.cern.ch to lxdpm103.cern.ch (org.sam/WN-probe).
* Thu Aug 20 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.4-7
- CA 1.31-1: test reference DB and config with 8 + 7 days timeout.
* Wed Jul 22 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.4-6
- on 64bit WN if we are unable to load lcg_util Python lib with default
  Python, nagrun.sh will look for 32bit Python installed in VO software
  area. If found, and lcg_util lib can be loaded nagrun.sh will arrange
  for the 32bit Python to be used.
- added WN testing using lcg_util, lfc CLIs. If lcg_util, lfc Python
  libraries are not available or not loadable, then, all tests are
  performed using respective CLIs.
- added:
  * usage of timeouts in lcg_util depending on versions and either CLI or
    API is being used
  * import of lfc2 (in WN-probe) if available
  * some new glite error expressions to /etc/gridmon/org.sam.errdb
- more verbose (Nagios compliant) output when probe fails to import grid
  API or grid monitoring modules
- CE-sft-csh modified
- added ldap queries using ldapsearch CLI. If Python ldap API is not
  available code will automatically use CLI interface.
- new test for WN: check_pyver - checks installed version of Python
- WN tarball assembly (during CE job submission) was extended to allow
  integration of WN probes external to the org.sam framework.
- added possibility to specify JDL as a template (CLI input parameter
  --jdl-templ to org.sam.CE-JobState probe). As well as some ClassAdds.
- simplified parsing on command line parameters for sub-classes of
  MetricGatherer via per metric definitions of required command line
  parameters in the metrics description dictionary.
- proper README file and dynamic build of HTML documentation for Python
  modules.
* Mon May 18 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.3-4
- fixing re-opened https://savannah.cern.ch/bugs/index.php?50177
- modifications to the way Nagios is launched on WNs (see bug #50341):
   * nagios is launched as background process not daemon
   * child_processes_fork_twice=0 in nagios config
   * "killall nagios" added to "nagrun.sh"
* Thu May 13 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.3-3
- CA 1.29-1: test reference DB and config with 8 + 7 days timeout.
* Thu May 13 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.3-2
- fixing:
   * python-GridMon should be taken to WNs
   * https://savannah.cern.ch/bugs/?48850
   * https://savannah.cern.ch/bugs/?50177
- adding:
   * critical SAM tests using samtest-run wrapper
     wnjob/nagios.d/probes/sam/CE-sft-{brokerinfo,caver,csh,softver}
   * python-ldap package (arch dependently) to temporarily and partially
     solve https://savannah.cern.ch/bugs/?49805
* Mon Mar 06 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.2
- fixing:
   https://savannah.cern.ch/bugs/index.php?47667
   https://savannah.cern.ch/bugs/index.php?47639
- adding new error message into Errors DB [wms] section.
- added support for building OS-flavoured RPMs (.spec and Makefile)
* Mon Feb 25 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.1
- "VO-enablement" of passive check names sent to Nagios.
* Mon Feb 24 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.1.0
- publication of Nagios passive checks moved to python-GridMon >= 1.1
- added dependency on python-GridMon
- new modules: gridmonsam/{errmatch.py,utils.py}. The coded moved from
  gridmonsam/probe.py.
* Mon Jan 29 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.0.9-3
- fixing recently introduced problem with propagation of return codes from
  metrics to the metrics' wrapper.
- added --timeout-job-global, --timeout-job-waiting parameters to CE-probe's
  org.sam.CE-JobMonit metric
* Mon Jan 28 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.0.9-1
- fixed bug #46373
- beta release of a split of CE probe into a grid job submitter and submitted
  jobs babysitter. The job submitter submits a grid job via WMS to a particular
  CE. The babysitter is a multi-threaded code, which spawns a number of workers
  to get the grid jobs statuses and submits passive check results with the
  job's statuses and the final terminal state of each job.
- wnjob/nagrun.sh was made less verbose (configurable).
* Thu Jan 22 2009 James Casey <james.casey@cern.ch> - 0.0.8-2
- removed deps on GFAL-client and LFC we don't want them pulled automatically
  onto nagios node
* Mon Jan 19 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.0.8-1
- fixed a bug at initialization of gfal - 'no_bdii_check' was missing.
- added 64bit Time::HiRes Perl module
- added statically compiled 'nagiostats'
- Python 'tarfile' to create zipped tarball for WN
- nagrun.sh accepts named command line parameters
- JDL was changed to reflect changes in nagrun.sh interface
* Fri Jan 16 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.0.7-1
- .spec and Makefile. Made the built package arch independent. (On SL(C)4 the
  building should be done without redhat-rpm-config package installed to avoid
  building of debug info for Nagios binaries, which come with the package.)
* Fri Jan 16 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.0.6-1
- send_to_msg to accepts full destination
- refined Nagios configuration of WN-probe/metrics (command and service objects)
* Tue Jan 13 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.0.5-1
- CE-probe accepts MB topic/queue (mandatory parameter) and MB URI, and passes
  them to monitoring job on WN to be used with 'send_to_msg'.
- added wnjob/nagios.d/bin/find_broker for MB discovery on WNs
- statically compiled Nagios binary (for execution on WN)
* Fri Jan 09 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.0.4-1
- added org.sam.WN-Rep{Get,Del}
- --mb-destination (topic/queue on MB) and --mb-uri (MB URI) were introduced in
  org.sam.CE-probe (not yet being propagated to WN)
- imporvements in command line paramters parsing and handling. All common ones
  to probe were moved to Metric.Gatherer.
* Thu Jan 08 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.0.3-3
- changes to .spec in %post and %postun for safe upgrades.
- Probes and metrics optional arguments:
  - removed -o "..." functionality to feed options to metrics. Now they can
    be provided along with others. Hacked Python's 'getopt' module to loosen
    checks of long options.
  - removed -m as mandatory option. Now, w/o -m a default active "wrapper"
    check is executed.
* Tue Jan 06 2009 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.0.2-1
- .spec file
  - added dependency on GFAL-client, lcg_util, python-ldap
  - added %post and %postun to create/remove probes working directory
- gridmonsam/probe.py module
  - added publication of passive checks via NSCA
- added gridmonsam/{pexpect,pexpectpgrp}.py modules for getting line buffered
  output from forked processes
- added /etc/gridmon/org.sam.conf configuration file
- moved errors DB to /etc/gridmon/org.sam.errdb
- added check_sam - Nagios check wrapper to launch native SAM tests (produces
  Nagios compliant output and maps SAM exit codes to Naigios ones.)
- wnjob/nagrun.sh - changes according to the changes in the interface to
  sent_to_msg
 * Tue Dec 09 2008 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - 0.0.1-4
- split of CE-probe into WN-probe and CE-probe
- added org.sam/wnjob/ directory containing Nagios framework to run on WNs
- configuration moved to /etc/gridmon
* Fri Nov 21 2008 K. Skaburskas <Konstantin.Skaburskas@cern.ch> - initial version
- Initial build.
